AI Systems
Get trace count timeseries
Get timeseries data for the number of traces made within a time period
GET
/
api
/
model-services
/
v1
/
aisystem
/
{system_id}
/
version
/
{version_id}
/
chart
/
timeseries
/
trace-count
Get trace count timeseries
curl --request GET \
--url https://mycluster.domino.tech/api/model-services/v1/aisystem/{system_id}/version/{version_id}/chart/timeseries/trace-countimport requests
url = "https://mycluster.domino.tech/api/model-services/v1/aisystem/{system_id}/version/{version_id}/chart/timeseries/trace-count"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/api/model-services/v1/aisystem/{system_id}/version/{version_id}/chart/timeseries/trace-count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/model-services/v1/aisystem/{system_id}/version/{version_id}/chart/timeseries/trace-count",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/model-services/v1/aisystem/{system_id}/version/{version_id}/chart/timeseries/trace-count"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/model-services/v1/aisystem/{system_id}/version/{version_id}/chart/timeseries/trace-count")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/model-services/v1/aisystem/{system_id}/version/{version_id}/chart/timeseries/trace-count")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
],
"end_time": "2023-11-07T05:31:56Z",
"start_time": "2023-11-07T05:31:56Z",
"$schema": "/api/model-services/v1/aisystem/schemas/GetTraceCountTimeSeriesResponseBody.json"
}{
"$schema": "/api/model-services/v1/aisystem/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Query Parameters
Optional time window for aggregation. Supported values: '5min', 'hour', 'day'. If not provided, will be calculated dynamically to return no more than 100 data points.
Available options:
5min, hour, day Start time for the query in RFC3339 format. Defaults to 7 days ago if not specified.
Optional URL-encoded JSON filter. See the /filters endpoint for available fields.
Response
OK
Trace-count data points ordered by timestamp.
Show child attributes
Show child attributes
Exclusive end of the queried window.
Inclusive beginning of the queried window.
A URL to the JSON Schema for this object.
Example:
"/api/model-services/v1/aisystem/schemas/GetTraceCountTimeSeriesResponseBody.json"
Was this page helpful?
⌘I
Get trace count timeseries
curl --request GET \
--url https://mycluster.domino.tech/api/model-services/v1/aisystem/{system_id}/version/{version_id}/chart/timeseries/trace-countimport requests
url = "https://mycluster.domino.tech/api/model-services/v1/aisystem/{system_id}/version/{version_id}/chart/timeseries/trace-count"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/api/model-services/v1/aisystem/{system_id}/version/{version_id}/chart/timeseries/trace-count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/model-services/v1/aisystem/{system_id}/version/{version_id}/chart/timeseries/trace-count",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/model-services/v1/aisystem/{system_id}/version/{version_id}/chart/timeseries/trace-count"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/model-services/v1/aisystem/{system_id}/version/{version_id}/chart/timeseries/trace-count")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/model-services/v1/aisystem/{system_id}/version/{version_id}/chart/timeseries/trace-count")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
],
"end_time": "2023-11-07T05:31:56Z",
"start_time": "2023-11-07T05:31:56Z",
"$schema": "/api/model-services/v1/aisystem/schemas/GetTraceCountTimeSeriesResponseBody.json"
}{
"$schema": "/api/model-services/v1/aisystem/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}